wiki:KysymyksiaJaVastauksia
Last modified 7 years ago Last modified on 2010-10-06 10:04:56

Pages linking to KysymyksiaJaVastauksia:
s2010

Kysymyksiä ja vastauksia kurssin aikana ilmenneisiin asioihin

1. Oman koneen käyttö kurssilla

  • Kysymys: Onko oma kone pakollinen?
    • Vastaus: Ei ole! Agorassa on 8 mikroluokkaa jotka ovat auki iltaan saakka.
  • Kysymys: Voiko luentomuistiinpanoja tehdä omilla läppäreillä?
    • Vastaus: Toki voi. Luentosalissa on rajoitettu määrä virtapaikkoja (ehkä 30-40).
  • Kysymys: Millainen oma kone kannattaa hankkia tietotekniikan/TJT-opintoihin?
    • Vastaus: Riittävästi muistia (vähintään 2GB) ja riittävästi kovalevytilaa (väh. 100 GB). Lähes kaikki nykykoneet riittäviä.
    • Kokeiltu myös mini-kannettavista Acer Aspire One 1.5 GB ja siinä Eclipse toimii.
  • Kysymys: Hankitaanko koneita yhteistilauksina?
    • Vastaus: Ei toistaiseksi.
  • Kysymys: Saavatko opiskelijat ohjelmisto- tms. alennuksia?
    • Vastaus: Saavat, mutta esimerkiksi Ohjelmointi 1-kurssin kaikki asiat mahdollista tehdä (ja tehdään) ilmaisilla työkaluilla. Muuten ks. THK:n sivut.
  • Kysymys: Mitä oikein ovat SDK, JDK, Java SE ja mikä Javan versio tulisi ladata?
    • Vastaus: SDK (software development kit) eli sovelluskehitin on kokoelma työkaluja, joiden avulla voidaan tehdä ohjelmia tietyssä ympäristössä. Yleisin Java-sovelluskehitin on JDK (java development kit). JDK sisältää JRE:n (java runtime environment), jonka avulla voidaan ajaa Java-ohjelmia. Javan sivuilta voi ladata myös pelkän JRE:n, mutta tämä ei siis sisällä esimerkiksi Java kääntäjää eli ohjelmien tekeminen ei pelkällä JRE:llä onnistu. Tälle kursille kannattaa ehdottomasti ladata Java SE alustaa käyttävä JDK täältä ja tuolta sivulta nimenomaan Java SE Development Kit(JDK). Mac OS X (1.6 ja uudemmat): JDK löytyy jo asennettuna tietokoneestasi. Varmista käytetty versio uusimmaksi Java-asetuksista.
  • Kysymys: Minulla on Mac, eivätkä esimerkit toimi siinä. Mitä teen?
    • Vastaus: Mac sisältää java-asetukset, jotka saattavat käyttää vanhempaa versiota javasta. Katso Mac OS X ja ohjelmistokehitys aiemmin näillä sivuilla. Lyhyesti: Jos sinulla on käyttöjärjestelmäversio 1.5 (Leopard) päivitä se uudempaan, harkitse Soylattea tai vaadi Vesaa tukemaan vanhempiakin java-versioita. Jos sinulla on käyttöjärjestelmäversio 1.6 (Snow Leopard), varmista, että olet päivittänyt järjestelmän (Omppuvalikko/Ohjelmiston? päivitys...), varmista käytetty JDK (Java-asetukset / Java Preferences).